%define oname   pg

Name:       ruby-%{oname}
Version:    0.14.1
Release:    %mkrel 3
Summary:    A Ruby interface to the PostgreSQL RDBMS
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://bitbucket.org/ged/ruby-pg/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: postgresql-devel
Provides:      rubygem-pg = %version-%release

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/pg.rb

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/README.{OS_X,windows}

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/

%files
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/pg/*.rb
%{ruby_vendorlibdir}/*.rb
%{ruby_vendorarchdir}/pg_ext.so

%files          doc
%doc ChangeLog LICENSE
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.14.1-3.mga3
+ Revision: 396242
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 381211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.14.1-1.mga3
+ Revision: 313775
- new version 0.14.1

* Thu Jun 07 2012 solbu <solbu> 0.13.2-1.mga3
+ Revision: 256957
- New version
- Spec cleanup
- Drop patch

* Fri Jun 24 2011 dmorgan <dmorgan> 0.11.0-2.mga2
+ Revision: 113273
- Fix release
- Add provides

* Tue Apr 19 2011 shikamaru <shikamaru> 0.11.0-1.mga2
+ Revision: 88782
- new version 0.11.0

* Fri Mar 25 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 77167
- FHS compliance

* Sat Jan 29 2011 shikamaru <shikamaru> 0.10.1-1.mga1
+ Revision: 43656
- imported package ruby-pg

